<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <SccProjectName />
    <SccLocalPath />
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <CharacterSet>NotSet</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <CharacterSet>NotSet</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <OutDir>..\Lib\Debug\</OutDir>
    <IntDir>$(Configuration)\</IntDir>
    <IncludePath>..\Include;$(IncludePath)</IncludePath>
    <LibraryPath>..\Lib\Debug;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <OutDir>..\Lib\</OutDir>
    <IntDir>$(Configuration)\</IntDir>
    <IncludePath>..\Include;$(IncludePath)</IncludePath>
    <LibraryPath>..\Lib;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <InlineFunctionExpansion>Default</InlineFunctionExpansion>
      <FunctionLevelLinking>false</FunctionLevelLinking>
      <Optimization>Disabled</Optimization>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <WarningLevel>Level3</WarningLevel>
      <MinimalRebuild>false</MinimalRebuild>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <PreprocessorDefinitions>_DEBUG;WIN32;_LIB;_CRT_SECURE_NO_DEPRECATE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <BrowseInformation>true</BrowseInformation>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <StructMemberAlignment>1Byte</StructMemberAlignment>
      <DisableSpecificWarnings>
      </DisableSpecificWarnings>
      <AdditionalIncludeDirectories>Include</AdditionalIncludeDirectories>
      <ProgramDataBaseFileName>$(OutDir)$(TargetName).pdb</ProgramDataBaseFileName>
      <StringPooling>true</StringPooling>
      <ExceptionHandling>false</ExceptionHandling>
      <SmallerTypeCheck>false</SmallerTypeCheck>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
    </ClCompile>
    <ResourceCompile>
      <Culture>0x040e</Culture>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ResourceCompile>
    <Bscmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <OutputFile>$(IntDir)$(TargetName).bsc</OutputFile>
    </Bscmake>
    <Lib>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Lib>
    <CustomBuild>
      <Command>ml /c /Cp /nologo /coff /Sa /Sn /Zd /Zi /D_DEBUG /I%(RootDir)VS\Include\ /I%(RootDir)%(Directory) /Fo$(IntDir)%(Filename).obj %(FullPath)</Command>
      <Message>Assembling %(Filename) ...</Message>
      <Outputs>$(IntDir)\%(Filename).obj</Outputs>
    </CustomBuild>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <InlineFunctionExpansion>OnlyExplicitInline</InlineFunctionExpansion>
      <StringPooling>true</StringPooling>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <Optimization>MaxSpeed</Optimization>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <WarningLevel>Level3</WarningLevel>
      <PreprocessorDefinitions>NDEBUG;WIN32;_LIB;_CRT_SECURE_NO_DEPRECATE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <BrowseInformation>true</BrowseInformation>
      <StructMemberAlignment>1Byte</StructMemberAlignment>
      <DisableSpecificWarnings>
      </DisableSpecificWarnings>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <AdditionalIncludeDirectories>Include</AdditionalIncludeDirectories>
      <ProgramDataBaseFileName>$(OutDir)$(TargetName).pdb</ProgramDataBaseFileName>
      <MinimalRebuild>false</MinimalRebuild>
      <ExceptionHandling>false</ExceptionHandling>
      <SmallerTypeCheck>false</SmallerTypeCheck>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
    </ClCompile>
    <ResourceCompile>
      <Culture>0x040e</Culture>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ResourceCompile>
    <Bscmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <OutputFile>$(IntDir)$(TargetName).bsc</OutputFile>
    </Bscmake>
    <Lib>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Lib>
    <CustomBuild>
      <Command>ml /c /Cp /nologo /coff /Sa /Sn /Zd /Zi /DNDEBUG /I%(RootDir)VS\Include\ /I%(RootDir)%(Directory) /Fo$(IntDir)%(Filename).obj %(FullPath)</Command>
      <Message>Assembling %(Filename) ...</Message>
      <Outputs>$(IntDir)\%(Filename).obj</Outputs>
    </CustomBuild>
  </ItemDefinitionGroup>
  <ItemGroup>
    <CustomBuild Include="asm\chkfilename.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="asm\chkfoldername.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="asm\chrlwr.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="asm\chrupr.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="asm\chrvalid.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="asm\formatfolder.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="asm\pathexists.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="asm\strlwr.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="asm\strupr.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="asm\trimcpy.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="asm\trimcpyn.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="asm\md5.asm">
      <FileType>Document</FileType>
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">ml /c /Cp /nologo /coff /Sa /Sn /Zd /Zi /D_DEBUG /I%(RootDir)VS\Include\ /I%(RootDir)%(Directory) /Fo$(IntDir)%(Filename).obj /Fl$(IntDir)%(Filename).lst %(FullPath)</Command>
    </CustomBuild>
    <CustomBuild Include="asm\sfv.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="asm\performance.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\strinstr.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\formatint.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\chrinstr.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\chrinstrrev.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\memcmp.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\bitops.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\intdivmul.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\intmuldiv.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\dateutils.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\leapyear.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\sec2time.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\date2day.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\day2date.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\AbsDbl.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\AbsInt32.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\Align16.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\Align2.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\Align4.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\Align8.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\QuasiEqual.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\gcd.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\IntStr.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\IntVal.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\FltVal.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\IntFltStr.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\FPower10.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\FltStr.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\CmnIntFltVal.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\crc16.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\crctable.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\crc8.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <None Include="..\Include\skglobals.inc" />
    <CustomBuild Include="Asm\md5_init.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\md5_any.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\sfvtable.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\sfvinit.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\memfill32.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\IntLog2.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\IntPow.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\ByteSwap32Ptr.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\ByteSwap16.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\GetTableIndex.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\IcmpCheckSum.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\IpCheckSum.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\GetRootDir.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\GetDayOfWeek.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\DateValid.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\GetDaysOfMonth.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <None Include="..\Include\skLibUdpRes.rc2" />
    <CustomBuild Include="Asm\SetLocInfo.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\FltRound.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\msec2time.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\bcd.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\SByteSwap16.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <None Include="Asm\SKDP32.inc">
      <FileType>Document</FileType>
    </None>
    <CustomBuild Include="Asm\SKDP_FillHeader.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\SKDP_Jobs.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\SKDP_TestIP.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\SKDP_Utils.asm">
      <FileType>Document</FileType>
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">ml /c /Cp /nologo /coff /Sa /Sn /Zd /Zi /D_DEBUG /I%(RootDir)VS\Include\ /I%(RootDir)%(Directory) /Fo$(IntDir)%(Filename).obj  /Fl$(IntDir)%(Filename).lst %(FullPath)</Command>
    </CustomBuild>
    <CustomBuild Include="Asm\UdpCheckSum.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <None Include="asm\skCLib32.inc">
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
      </Command>
      <Command Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
      </Command>
      <FileType>Document</FileType>
    </None>
    <CustomBuild Include="Asm\trimstr.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\splitint32.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\stricmp.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\strinstrrev.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\wstrswap.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\strlenx.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\wstrlenx.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\vbdate.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\time2sec.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\ByteSwap32.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\FNameMask.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\SKDP_CvtStr.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\StrLines.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\StrXCpy.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\time2msec.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\wstrcpy.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\wstrcpyn.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="Asm\WStrCmp.asm">
      <FileType>Document</FileType>
    </CustomBuild>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="Src\AnsiToWideChar.c" />
    <ClCompile Include="Src\ChainHandler.c" />
    <ClCompile Include="Src\ChkIniFolder.c" />
    <ClCompile Include="Src\COM_Done.c" />
    <ClCompile Include="Src\COM_Init.c" />
    <ClCompile Include="Src\CpySysTime.c" />
    <ClCompile Include="Src\CreateLogFont.c" />
    <ClCompile Include="Src\DayLight.c" />
    <ClCompile Include="Src\DbgStrPrint.c" />
    <ClCompile Include="Src\DisplayTime.c" />
    <ClCompile Include="Src\EditWin.c" />
    <ClCompile Include="Src\FAppendText.c" />
    <ClCompile Include="Src\FastTimer.c" />
    <ClCompile Include="Src\FDeleteX.c" />
    <ClCompile Include="Src\FExpand.c" />
    <ClCompile Include="Src\FGetCh.c" />
    <ClCompile Include="Src\FileExistsX.c" />
    <ClCompile Include="Src\FileSort.c" />
    <ClCompile Include="Src\FindProcess.c" />
    <ClCompile Include="Src\FNameCmp.c" />
    <ClCompile Include="Src\FNameSplit.c" />
    <ClCompile Include="Src\FolderExistsX.c" />
    <ClCompile Include="Src\FOpenX.c" />
    <ClCompile Include="Src\FRenameX.c" />
    <ClCompile Include="Src\GetBorderSize.c" />
    <ClCompile Include="Src\GetClientSize.c" />
    <ClCompile Include="Src\FindFileX.c" />
    <ClCompile Include="Src\GetFAttrX.c" />
    <ClCompile Include="Src\GetFInfo.c" />
    <ClCompile Include="Src\GetFInfoX.c" />
    <ClCompile Include="Src\GetIniBufFlt.c" />
    <ClCompile Include="Src\GetIniBufFolder.c" />
    <ClCompile Include="Src\GetIniBufInt.c" />
    <ClCompile Include="Src\GetIniBufIP.c" />
    <ClCompile Include="Src\GetIniBufSection.c" />
    <ClCompile Include="Src\GetIniBufStr.c" />
    <ClCompile Include="Src\GetIniFile.c" />
    <ClCompile Include="Src\GetIniFileFlt.c" />
    <ClCompile Include="Src\GetIniFileFolder.c" />
    <ClCompile Include="Src\GetIniFileInt.c" />
    <ClCompile Include="Src\GetIniFileSection.c" />
    <ClCompile Include="Src\GetIniFileStr.c" />
    <ClCompile Include="Src\GetLastSunday.c" />
    <ClCompile Include="Src\GetParamStr.c" />
    <ClCompile Include="Src\GetShortPathNameX.c" />
    <ClCompile Include="Src\GetSpecialFolder.c" />
    <ClCompile Include="Src\GetSysTime.c" />
    <ClCompile Include="Src\GetTime.c" />
    <ClCompile Include="Src\GetTimeStrWidth.c" />
    <ClCompile Include="Src\GetUserInfo.c" />
    <ClCompile Include="Src\GetViewRect.c" />
    <ClCompile Include="Src\GetWindowHeight.c" />
    <ClCompile Include="Src\GetWindowWidth.c" />
    <ClCompile Include="Src\GMTSecToLocalTime.c" />
    <ClCompile Include="Src\KillProcess.c" />
    <ClCompile Include="Src\LBUnselect.c" />
    <ClCompile Include="Src\LoadBinFile.c" />
    <ClCompile Include="Src\LoadTextFile.c" />
    <ClCompile Include="Src\LocalTimeToGMT.c" />
    <ClCompile Include="Src\LocalTimeToGMTSec.c" />
    <ClCompile Include="Src\LVSubClass.c" />
    <ClCompile Include="Src\MessageLoop.c" />
    <ClCompile Include="Src\MinMaxInfo.c" />
    <ClCompile Include="Src\MsgBox.c" />
    <ClCompile Include="Src\MsgBoxTOut.c" />
    <ClCompile Include="Src\NextDay.c" />
    <ClCompile Include="Src\NTP_GetTime.c" />
    <ClCompile Include="Src\OPC_CallBack.cpp" />
    <ClCompile Include="Src\OPC_Main.c" />
    <ClCompile Include="Src\OPC_Read.cpp" />
    <ClCompile Include="Src\OPC_Start.cpp" />
    <ClCompile Include="Src\OPC_Stop.cpp" />
    <ClCompile Include="Src\OPC_Write.cpp" />
    <ClCompile Include="Src\PathExistsX.c" />
    <ClCompile Include="Src\PrevDay.c" />
    <ClCompile Include="Src\PrevInstance.c" />
    <ClCompile Include="Src\ProcessMessage.c" />
    <ClCompile Include="Src\ReplaceIpToServer.c" />
    <ClCompile Include="Src\SaveTextFile.c" />
    <ClCompile Include="Src\ScanIniBuf.c" />
    <ClCompile Include="Src\SetIniBufCmnt.c" />
    <ClCompile Include="Src\SetIniBufFlt.c" />
    <ClCompile Include="Src\SetIniBufInt.c" />
    <ClCompile Include="Src\SetIniBufStr.c" />
    <ClCompile Include="Src\SetIniFileFlt.c" />
    <ClCompile Include="Src\SetIniFileInt.c" />
    <ClCompile Include="Src\SetIniFileStr.c" />
    <ClCompile Include="Src\ShowPopupMenu.c" />
    <ClCompile Include="Src\ShutDown.c" />
    <ClCompile Include="Src\SimpleTimerProc.c" />
    <ClCompile Include="Src\SKDP_CreateData.c" />
    <ClCompile Include="Src\SKDP_CreateDir.c" />
    <ClCompile Include="Src\SKDP_CallBack.c" />
    <ClCompile Include="Src\SKDP_DoFindFile.c" />
    <ClCompile Include="Src\SKDP_DoFileIO.c" />
    <ClCompile Include="Src\SKDP_DoSfvRead.c" />
    <ClCompile Include="Src\SKDP_FDelete.c" />
    <ClCompile Include="Src\SKDP_FileInfo.c" />
    <ClCompile Include="Src\SKDP_FillVersion.c" />
    <ClCompile Include="Src\SKDP_FindFile.c" />
    <ClCompile Include="Src\SKDP_FindServer.c" />
    <ClCompile Include="Src\SKDP_FInit.c" />
    <ClCompile Include="Src\SKDP_GetTime.c" />
    <ClCompile Include="Src\SKDP_Main.c" />
    <ClCompile Include="Src\AboutBox.c" />
    <ClCompile Include="Src\AnsiToUtf8.c" />
    <ClCompile Include="src\centerwindow.c" />
    <ClCompile Include="Src\CloseHandleEx.c" />
    <ClCompile Include="Src\EnableDlgItem.c" />
    <ClCompile Include="Src\FillComboFromRes.c" />
    <ClCompile Include="Src\FillComboFromStr.c" />
    <ClCompile Include="Src\GrowMem.c" />
    <ClCompile Include="Src\CommCtrl.c" />
    <ClCompile Include="Src\CreateFolder.c" />
    <ClCompile Include="Src\CreateSimpleProc.c" />
    <ClCompile Include="Src\cursor.c" />
    <ClCompile Include="Src\DeleteObjectEx.c" />
    <ClCompile Include="src\dlgfile.c" />
    <ClCompile Include="src\dlgfolder.c" />
    <ClCompile Include="Src\DllVersion.c" />
    <ClCompile Include="src\DoEvents.c" />
    <ClCompile Include="Src\DuplicateBitmap.c" />
    <ClCompile Include="Src\FCopy.c" />
    <ClCompile Include="Src\FDelete.c" />
    <ClCompile Include="Src\FGetTime.c" />
    <ClCompile Include="Src\FileExists.c" />
    <ClCompile Include="src\files.c" />
    <ClCompile Include="Src\FillRectEx.c" />
    <ClCompile Include="Src\FolderExists.c" />
    <ClCompile Include="Src\FRead.c" />
    <ClCompile Include="Src\FRename.c" />
    <ClCompile Include="Src\FSeek.c" />
    <ClCompile Include="Src\FSetTime.c" />
    <ClCompile Include="Src\FSkip.c" />
    <ClCompile Include="Src\FTruncate.c" />
    <ClCompile Include="Src\FWrite.c" />
    <ClCompile Include="Src\GetFAttr.c" />
    <ClCompile Include="Src\GetFSize.c" />
    <ClCompile Include="Src\GetFTime.c" />
    <ClCompile Include="Src\GetTimeStr.c" />
    <ClCompile Include="Src\GetWindowSize.c" />
    <ClCompile Include="Src\GetWorkArea.c" />
    <ClCompile Include="src\GetIniFiles.c" />
    <ClCompile Include="Src\LVColWidth.c" />
    <ClCompile Include="Src\LVHdrSortImg.c" />
    <ClCompile Include="Src\LVParam.c" />
    <ClCompile Include="src\measuretext.c" />
    <ClCompile Include="Src\NewStr.c" />
    <ClCompile Include="src\progress.c" />
    <ClCompile Include="Src\QuickSort.c" />
    <ClCompile Include="Src\RegWndClass.c" />
    <ClCompile Include="Src\ReplaceExt.c" />
    <ClCompile Include="src\RstUtils.c" />
    <ClCompile Include="Src\RingBuffer.c" />
    <ClCompile Include="Src\SerialCom.c" />
    <ClCompile Include="Src\ShowDlgItem.c" />
    <ClCompile Include="Src\SKDP_Message.c" />
    <ClCompile Include="Src\SKDP_ReadFile.c" />
    <ClCompile Include="Src\SKDP_ReBoot.c" />
    <ClCompile Include="Src\SKDP_Receive.c" />
    <ClCompile Include="Src\SKDP_FRename.c" />
    <ClCompile Include="Src\SKDP_ReStart.c" />
    <ClCompile Include="Src\SKDP_Send.c" />
    <ClCompile Include="Src\SKDP_ChkPath.c" />
    <ClCompile Include="Src\SKDP_SfvRead.c" />
    <ClCompile Include="Src\SKDP_ShareList.c" />
    <ClCompile Include="Src\SKDP_Thread.c" />
    <ClCompile Include="Src\SKDP_TOut.c" />
    <ClCompile Include="Src\SKDP_Version.c" />
    <ClCompile Include="Src\FSplit.c" />
    <ClCompile Include="Src\SKDP_WriteFile.c" />
    <ClCompile Include="Src\StrFromRes.c" />
    <ClCompile Include="Src\StrPrint.c" />
    <ClCompile Include="Src\strsort.c" />
    <ClCompile Include="Src\strtodate.c" />
    <ClCompile Include="Src\StrToFlt.c" />
    <ClCompile Include="Src\StrToInt.c" />
    <ClCompile Include="Src\StrToIP.c" />
    <ClCompile Include="Src\strtotime.c" />
    <ClCompile Include="Src\SysLog_Message.c" />
    <ClCompile Include="Src\GMTToLocalTime.c" />
    <ClCompile Include="Src\SysTime.c" />
    <ClCompile Include="Src\TcpConnect.c" />
    <ClCompile Include="Src\ThreadState.c" />
    <ClCompile Include="Src\TrueName.c" />
    <ClCompile Include="Src\Socket.c" />
    <ClCompile Include="Src\UpdateDlgWindow.c" />
    <ClCompile Include="Src\UpdateIniBuf.c" />
    <ClCompile Include="Src\Utf8ToAnsi.c" />
    <ClCompile Include="src\GetPercent.c" />
    <ClCompile Include="Src\WaitForZero.c" />
    <ClCompile Include="Src\WideCharToAnsi.c" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\Include\crtplus.h" />
    <ClInclude Include="..\include\skCLib32.h" />
    <ClInclude Include="..\Include\skCLibRes.h" />
    <ClInclude Include="..\Include\skLibCom.h" />
    <ClInclude Include="..\Include\skLibOpc.h" />
    <ClInclude Include="..\Include\skLibUdp.h" />
    <ClInclude Include="..\Include\skLibUdpRes.h" />
    <ClInclude Include="Include\opccomn.h" />
    <ClInclude Include="Include\opcda.h" />
    <ClInclude Include="Include\opcerror.h" />
    <ClInclude Include="Include\opc_iid.h" />
    <ClInclude Include="Include\private.h" />
    <ClInclude Include="Include\UdpPrivate.h" />
  </ItemGroup>
  <ItemGroup>
    <CustomBuild Include="asm\strcat.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="asm\strcatn.asm">
      <FileType>Document</FileType>
    </CustomBuild>
  </ItemGroup>
  <ItemGroup>
    <CustomBuild Include="asm\chrcpyn.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="asm\strfill.asm">
      <FileType>Document</FileType>
    </CustomBuild>
  </ItemGroup>
  <ItemGroup>
    <CustomBuild Include="asm\multicat.asm">
      <FileType>Document</FileType>
    </CustomBuild>
    <CustomBuild Include="asm\multicatn.asm">
      <FileType>Document</FileType>
    </CustomBuild>
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>